{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_person_overview', fetch_merged_url_parameters_by_session_key_name('personOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakt, {{ person.name }}</span>
    </div>
{% endblock %}

{% block tabBar %}
    {% set personBaseDataTab = {'name': 'Stammblatt', 'id': 'person_base_data_tab', 'url': path('person_management_person_base_data', {'personId': person.getId()}), 'active': false} %}
    {% set personPropertyOverviewTab = {'name': 'Zugeordnete Objekte', 'id': 'person_property_overview_tab', 'url': path('person_management_property_overview', {'personId': person.getId()}), 'active': false} %}
    {% set personLookingForPropertyRequestOverviewTab = {'name': 'Gesuche', 'id': 'person_looking_for_property_request_overview_tab', 'url': path('person_management_looking_for_property_request_overview', {'personId': person.getId()}), 'active': false} %}
    {% set personOccurrenceOverviewTab = {'name': 'Vorgänge', 'id': 'person_occurrence_overview_tab', 'url': path('person_management_occurrence_overview', {'personId': person.getId()}), 'active': false} %}
    {% set personContactOverviewTab = {'name': 'Ansprechpersonen', 'id': 'person_contact_overview_tab', 'url': path('person_management_contact_overview', {'personId': person.getId()}), 'active': false} %}

    {% set tabs = [personBaseDataTab] %}

    {% if is_granted('ROLE_USER') == true or is_granted('ROLE_PROPERTY_FEEDER') == true %}
        {% set tabs = tabs|merge([personPropertyOverviewTab]) %}
    {% endif %}

    {% if is_granted('ROLE_USER') == true or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') == true %}
        {% if person.lookingForPropertyRequests().isEmpty() == false %}
            {% set tabs = tabs|merge([personLookingForPropertyRequestOverviewTab]) %}
        {% endif %}
    {% endif %}

    {% set tabs = tabs|merge([personOccurrenceOverviewTab]) %}

    {% if person.getPersonType.name != 'NATURAL_PERSON' %}
        {% set tabs = tabs|merge([personContactOverviewTab]) %}
    {% endif %}

    {% include 'component/mdc_tab_bar_component.html.twig' with {
        'id': 'person_mdc_tab_bar',
        'tabs': tabs
    } only %}
{% endblock %}
